﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head><title>Managing Application Audit Logs</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Managing Application Audit Logs</h1>
        <p>Audit logs enable you to track <b>who</b> changed <b>what</b> and <b>when</b> on the Identity Governance and Administration (IGA) interface. All actions performed by a user such as create, update, delete, and show are recorded for each Object Type (referred as 'type of access' in DB) and Object Name (referred as 'ObjectKey' in DB) in the userlogin_access table.</p>
        <h3>Viewing the Audit LogsViewing the Audit Logs</h3>
        <p>All the actions performed by IGA user are recorded which can be viewed and downloaded using the Application Audit Log page. IGA supports the object-based entries with the action taken for that object. The log entries include <b>OBJECT-TYPE, OBJECT NAME, ACTION, ACCESS BY, ACCESS TIME, IP ADDRESS, MESSAGE</b>, and <b>DATA</b>. The default list of logs is displayed for the changes made by the logged-in user.</p>
        <p>You can filter the audit logs using the following Object Types:</p>
        <ul>
            <li>
                <p>Role</p>
            </li>
            <li>
                <p>Organization</p>
            </li>
            <li>
                <p>SAV Role</p>
            </li>
            <li>
                <p>Analytics</p>
            </li>
            <li>
                <p>Email Template</p>
            </li>
            <li>
                <p>Entitlement Value</p>
            </li>
            <li>
                <p>Security System</p>
            </li>
            <li>
                <p>Endpoint</p>
            </li>
            <li>
                <p>Global Configurations</p>
            </li>
            <li>
                <p>UI Branding</p>
            </li>
            <li>
                <p>Entitlements</p>
            </li>
            <li>
                <p>User Groups</p>
            </li>
            <li>
                <p>Accounts</p>
            </li>
            <li>
                <p>Connections</p>
            </li>
            <li>
                <p>Data Analyzer</p>
            </li>
        </ul>
        <p>For more information about each <b>Object Type</b>, click the <img src="../Resources/Images/info.png" style="width: 47px;height: 47px;" />  icon. You can also expand each cell by clicking the pop-up window to display the complete content until you dismiss it.</p>
        <h3>Filter the Logs</h3>
        <p>To filter the logs entries, perform the following steps:</p>
        <ol>
            <li>
                <p>Log on to IGA.</p>
            </li>
            <li MadCap:conditions="Default.v55X">
                <p>Go to <strong>ADMIN &gt; Admin Function &gt; Saviynt Audit trail</strong>.</p>
                <p>The <strong>Saviynt Audit Trail </strong>page is displayed.</p>
            </li>
            <li>
                <p>On the top right of the home page, click&#160;the <strong>Applications </strong>icon, and select <strong>Admin</strong>.</p>
            </li>
            <li>
                <p>Click the <strong>Menu</strong> icon.</p>
            </li>
            <li>
                <p>In the left pane, under <b>Admin Functions</b>, click <b>Application Audit Logs</b>.</p>
                <p MadCap:conditions="Default.v2020X">The <strong>Application audit logs</strong> page is displayed.</p>
                <p MadCap:conditions="Default.v2021X">The <strong>Saviynt Audit Trail </strong>page is displayed.</p>
            </li>
            <li>
                <p>Select the filter criteria based on your requirements.</p>
                <ul>
                    <li>
                        <p><b>Object Type</b>: Select the name of the object or module from the dropdown.</p>
                    </li>
                    <li>
                        <p><b>Object Name</b>: Specify the value or name of the selected object type.</p>
                    </li>
                    <li>
                        <p><b>Action</b>: Select any of the following action performed for the&#160;selected object type. For example:</p>
                        <ul>
                            <li>
                                <p>Create</p>
                            </li>
                            <li>
                                <p>Update</p>
                            </li>
                            <li>
                                <p>Delete</p>
                            </li>
                            <li>
                                <p>Show</p>
                            </li>
                            <li>
                                <p>Analytics Action (V2) (You can configure more actions from the userlogin_access table.)</p>
                            </li>
                        </ul>
                    </li>
                    <li>
                        <p><b>Access By</b>: Select the username who performed the action for the selected object.</p>
                    </li>
                    <li>
                        <p><b>Time Range</b>: Select the date range&#160;to&#160;filter the log using <b>From</b> and <b>To</b> options.</p>
                    </li>
                </ul>
            </li>
            <li>
                <p>Click <b>Apply</b>. The results are displayed the <b>Show Entries</b> table in the following columns and the default sorting is in the ascending order of the date and time of the action.</p>
                <p>
                    <img src="../Resources/Images/Audit trail.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;width: 1200px;height: 500px;" />
                    <br />
                </p>
                <ul>
                    <li>
                        <p><b>OBJECT TYPE</b>: Displays the selected object type such as Global Configurations, Security System.</p>
                    </li>
                    <li>
                        <p><b>OBJECT NAME</b>: Displays the object name that has been actioned.</p>
                    </li>
                    <li>
                        <p><b>ACTION</b>: Displays the action performed to the object such as Create, Update, and Delete.</p>
                    </li>
                    <li>
                        <p><b>IP ADDRESS</b>: Displays the IP address of a system that is used to perform the operation.</p>
                    </li>
                    <li>
                        <p><b>ATTRIBUTE</b>: Displays the attribute for which the action is performed.</p>
                    </li>
                    <li>
                        <p><b>OLD VALUE</b>: Displays the old value of an attribute. In case of create action, this column does not display any value.</p>
                        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                            <p class="note">The object change is captured in the Old Value and New Value column after updating Email Templates, Global Configurations, Security System, and Endpoint objects.</p>
                        </div>
                    </li>
                    <li>
                        <p><b>NEW VALUE</b>: Displays the updated value or a new value of an attribute. In case of Delete action, this column does not display any value.</p>
                    </li>
                    <li>
                        <p><b>DATA</b> (Optional): Displays the old value of attributes when any update is done. In case of create action, this column does not display any value.</p>
                    </li>
                </ul>
            </li>
            <li>
                <p>Click <strong>Reset All</strong>&#160;to clear all the existing filters and display the default view of the page.</p>
            </li>
        </ol>
        <h3>Viewing User Upload logs</h3>
        <p>From Release v2020.0 onwards, all user upload actions are logged using the Application audit logs. Using the Application Audit log you can view the user who performed the upload, IP Address using which upload was performed, old and new values, date and time when the upload was performed and the file name using which the upload was performed.</p>
        <p>
            <img src="../Resources/Images/User Upload logs.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;width: 1200px;height: 500px;" />
        </p>
        <p>Figure: User Upload logs&#160;</p>
        <h3>Download Audit Log Reports</h3>
        <p>You can download the audit logs in a CSV or Microsoft Excel file. To download the logs, perform the following steps:</p>
        <ol>
            <li MadCap:conditions="Default.v2020X,Default.v2021X">
                <p>Click&#160;<b>ADMIN &gt; Admin Function &gt;&#160;Application Audit Logs</b>.</p>
            </li>
            <li MadCap:conditions="Default.v55X">
                <p>Go to <strong>ADMIN &gt; Admin Function &gt; Saviynt Audit trail</strong>.</p>
            </li>
            <li>
                <p>Select the filter criteria for the report you want to generate.</p>
            </li>
            <li>
                <p>Select <strong>Actions &gt; Export</strong>.</p>
            </li>
            <li>
                <p>Choose a file format to export the result. For example, <strong>CSV</strong> or <strong>Excel</strong>.</p>
            </li>
            <li>
                <p>Go to user login menu and click <b>My Downloads</b>. The <b>Download Reports</b> page is displayed with the list of reports you have exported.<br /><img src="../Resources/Images/Download Reports.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" /></p>
                <p>Figure: Download Reports<br /></p>
            </li>
            <li>
                <p>Click <b>Download</b> from the <b>Action</b> column for the exported audit log report to save the copy in your system. To delete the downloaded report, click <b>Delete</b>.</p>
            </li>
        </ol>
    </body>
</html>